net.minecraft.client.renderer

## Class IconFlipped

- java.lang.Object
- - net.minecraft.client.renderer.IconFlipped

- All Implemented Interfaces:
    Icon

      public class IconFlipped
      extends Object
      implements Icon

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconFlipped(Icon par1Icon, boolean par2, boolean par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIconHeight()` Returns the height of the icon, in pixels.
    `String` | `getIconName()`
    `int` | `getIconWidth()` Returns the width of the icon, in pixels.
    `float` | `getInterpolatedU(double par1)` Gets a U coordinate on the icon.
    `float` | `getInterpolatedV(double par1)` Gets a V coordinate on the icon.
    `float` | `getMaxU()` Returns the maximum U coordinate to use when rendering with this icon.
    `float` | `getMaxV()` Returns the maximum V coordinate to use when rendering with this icon.
    `float` | `getMinU()` Returns the minimum U coordinate to use when rendering with this icon.
    `float` | `getMinV()` Returns the minimum V coordinate to use when rendering with this icon.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IconFlipped

          public IconFlipped(Icon par1Icon,
                     boolean par2,
                     boolean par3)

  - ### Method Detail

    - #### getIconWidth

          public int getIconWidth()

      Returns the width of the icon, in pixels.
      Specified by:
        `getIconWidth` in interface `Icon`

    - #### getIconHeight

          public int getIconHeight()

      Returns the height of the icon, in pixels.
      Specified by:
        `getIconHeight` in interface `Icon`

    - #### getMinU

          public float getMinU()

      Returns the minimum U coordinate to use when rendering with this icon.
      Specified by:
        `getMinU` in interface `Icon`

    - #### getMaxU

          public float getMaxU()

      Returns the maximum U coordinate to use when rendering with this icon.
      Specified by:
        `getMaxU` in interface `Icon`

    - #### getInterpolatedU

          public float getInterpolatedU(double par1)

      Gets a U coordinate on the icon. 0 returns uMin and 16 returns uMax. Other arguments return in-between values.
      Specified by:
        `getInterpolatedU` in interface `Icon`

    - #### getMinV

          public float getMinV()

      Returns the minimum V coordinate to use when rendering with this icon.
      Specified by:
        `getMinV` in interface `Icon`

    - #### getMaxV

          public float getMaxV()

      Returns the maximum V coordinate to use when rendering with this icon.
      Specified by:
        `getMaxV` in interface `Icon`

    - #### getInterpolatedV

          public float getInterpolatedV(double par1)

      Gets a V coordinate on the icon. 0 returns vMin and 16 returns vMax. Other arguments return in-between values.
      Specified by:
        `getInterpolatedV` in interface `Icon`

    - #### getIconName

          public String getIconName()

      Specified by:
        `getIconName` in interface `Icon`